package com.iden.common.rtsp;

import com.iden.common.entity.IdenCommunity;
import com.iden.common.service.IdenCameraService;
import com.iden.common.service.IdenCommunityService;
import com.iden.common.util.HttpUtil;
import com.iden.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wyy
 * @creat 2022/5/20
 */
@RestController
@Api(value = "RTSPController", tags = { "调取rtsp接口" })
@Slf4j
@RequestMapping("/bms/rtsp")
public class RTSPController {
    @Autowired
    private IdenCameraService idenCameraService;
    @Autowired
    private IdenCommunityService idenCommunityService;

    //启动rtsp服务
    @RequestMapping(value = "startRtspService", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "启动rtsp服务",notes = "启动rtsp服务")
    public Result<Object> startRtspService(String ip){
        try{
            IdenCommunity idenCommunity = idenCommunityService.queryRtspServiceUrl(ip);
            String url = idenCommunity.getRtspServiceUrl()+"/startSaveVideo?ip="+ip;
            HttpUtil.httpGet(url);
            return Result.success("生成视频成功");
        }catch(Exception e){
            e.printStackTrace();
            return Result.error("生成视频失败");
        }
    }
    //停止rtsp服务
    @RequestMapping(value = "stopRtspService", method = RequestMethod.GET)
    @ResponseBody
    @ApiOperation(value = "停止rtsp服务",notes = "停止rtsp服务")
    public Result<Object> stopRtspService(String ip){
        try{
           IdenCommunity idenCommunity = idenCommunityService.queryRtspServiceUrl(ip);
           String url = idenCommunity.getRtspServiceUrl()+"/stop?ip="+ip;
           HttpUtil.httpGet(url);
           return Result.success("停止视频成功");
        }catch(Exception e){
            e.printStackTrace();
            return Result.error("停止视频失败");
        }
    }
}
